-- data.raw["item"]["wood"] = {
  -- flags = {
    -- "goes-to-main-inventory"
  -- },
  -- fuel_category = "chemical",
  -- fuel_value = "2MJ",
  -- icon = "__base__/graphics/icons/wood.png",
  -- icon_size = 32,
  -- name = "wood",
  -- order = "a[wood]",
  -- stack_size = 50,
  -- subgroup = "raw-material",
  -- type = "item"
-- }

local wooden_path_vehicle_speed_modifier = 1.2

local wooden_path_transitions =
{
  water_transition_template
  (
      water_tile_type_names,
      "__base__/graphics/terrain/water-transitions/stone-path.png",
      "__base__/graphics/terrain/water-transitions/hr-stone-path.png",
      {
        o_transition_tall = false,
        u_transition_count = 4,
        o_transition_count = 4,
        side_count = 8,
        outer_corner_count = 8,
        inner_corner_count = 8
      }
  ),
}

local wooden_path_transitions_between_transitions =
{
  water_transition_template
  (
      water_tile_type_names,
      "__base__/graphics/terrain/water-transitions/stone-path-transitions.png",
      "__base__/graphics/terrain/water-transitions/hr-stone-path-transitions.png",
      {
        inner_corner_tall = true,
        inner_corner_count = 3,
        outer_corner_count = 3,
        side_count = 3,
        u_transition_count = 1,
        o_transition_count = 0
      }
  ),
}



if data.raw["item"]["wood"] then
  data.raw["item"]["wood"].place_as_tile = {
      -- condition = {"water-tile"},
      condition = {"ground-tile"},
      condition_size = 1,
      result = "wooden-path"
    }

  data:extend(
  {
      {
    type = "tile",
    name = "wooden-path",
    needs_correction = false,
    minable = {hardness = 0.2, mining_time = 0.5, result = "wood"},
    mined_sound = { filename = "__base__/sound/deconstruct-bricks.ogg" },
    -- collision_mask = {"ground-tile"},
    collision_mask = {"water-tile"},
    walking_speed_modifier = 1.3,
    layer = 60,
    decorative_removal_probability = 0.15,
    variants =
    {
      main =
      {
        {
          -- picture = "__base__/graphics/terrain/stone-path/stone-path-1.png",
          picture = "__base__/graphics/icons/wood.png",
          count = 1,
          size = 1
        }
      },
      inner_corner =
      {
        picture = "__base__/graphics/terrain/stone-path/stone-path-inner-corner.png",
        -- picture = "__base__/graphics/icons/wood.png",
        count = 1,
        -- tall = true
      },
      outer_corner =
      {
        picture = "__base__/graphics/terrain/stone-path/stone-path-outer-corner.png",
        -- picture = "__base__/graphics/icons/wood.png",
        count = 1,
        -- tall = true
      },
      side =
      {
        picture = "__base__/graphics/terrain/stone-path/stone-path-side.png",
        -- picture = "__base__/graphics/icons/wood.png",
        count = 1,
        -- tall = true
      },
      u_transition =
      {
        picture = "__base__/graphics/terrain/stone-path/stone-path-u.png",
        -- picture = "__base__/graphics/icons/wood.png",
        count = 1,
        -- tall = true
      },
      o_transition =
      {
        picture = "__base__/graphics/terrain/stone-path/stone-path-o.png",
        -- picture = "__base__/graphics/icons/wood.png",
        count = 1
      }
    },
    transitions = wooden_path_transitions,
    -- transitions = stone_path_transitions,
    transitions_between_transitions = wooden_path_transitions_between_transitions,
    -- transitions_between_transitions = stone_path_transitions_between_transitions,

    walking_sound =
    {
      {
        filename = "__base__/sound/walking/concrete-01.ogg",
        volume = 1.2
      },
      {
        filename = "__base__/sound/walking/concrete-02.ogg",
        volume = 1.2
      },
      {
        filename = "__base__/sound/walking/concrete-03.ogg",
        volume = 1.2
      },
      {
        filename = "__base__/sound/walking/concrete-04.ogg",
        volume = 1.2
      }
    },
    map_color={r=80, g=80, b=0},
    ageing=0,
    vehicle_friction_modifier = wooden_path_vehicle_speed_modifier
  },
  })

end